Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface Container

All Superinterfaces:
  AMX, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  AdminServiceConfig, ApplicationMonitor, AvailabilityServiceConfig, BeanMonitor, ClusterConfig, ClusteredServerConfig, ConfigConfig, DomainConfig, DomainRoot, EJBContainerConfig, EJBModule, EJBModuleMonitor, EntityBeanMonitor, HTTPListenerConfig, HTTPServiceConfig, HTTPServiceMonitor, HTTPServiceVirtualServerMonitor, IIOPListenerConfig, IIOPServiceConfig, J2EEApplication, J2EEDomain, J2EEServer, JavaConfig, JDBCResource, JMSServiceConfig, JMXConnectorConfig, LogServiceConfig, MessageDrivenBeanMonitor, MessageSecurityConfig, MonitoringRoot, MonitoringServiceConfig, NodeAgentConfig, NotificationServiceMgr, ProviderConfig, ResourceAdapterModule, SecurityServiceConfig, ServerConfig, ServerRefConfig, ServerRootMonitor, SessionConfig, SessionManagerConfig, SSLConfigContainer, StandaloneServerConfig, StatefulSessionBeanMonitor, StatelessSessionBeanMonitor, VirtualServerConfig, WebContainerConfig, WebModule, WebModuleVirtualServerMonitor

public interface Container
extends AMX

All MBeans which logically contain other MBeans implement this interface; such an MBean is considered a Container, and the contained MBean is considered a Containee. The interface indicates the potential to contain other MBeans; at any given time MBeans may or may not be contained.

Field Summary
`static java.lang.String` | `ATTR_CONTAINEE_J2EE_TYPES` Attribute returned by getContaineeJ2EETypes().

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.util.Set` | `getByNameContaineeSet(java.util.Set j2eeTypes, java.lang.String name)`
`AMX` | `getContainee(java.lang.String j2eeType)` Obtain the singleton MBean having the specified type.
`AMX` | `getContainee(java.lang.String j2eeType, java.lang.String name)` Get a singleton containee having the specified j2eeType and name.
`java.util.Set` | `getContaineeJ2EETypes()`
`java.util.Map` | `getContaineeMap(java.lang.String j2eeType)` Each key in the resulting Map is a String which is the value of the AMX.NAME_KEY for that `AMX`, which is the value.
`java.util.Set` | `getContaineeSet()` Same as getContaineeSet( getContaineeJ2EETypes() )
`java.util.Set` | `getContaineeSet(java.util.Set j2eeTypes)`
`java.util.Set` | `getContaineeSet(java.lang.String j2eeType)`
`java.util.Map` | `getMultiContaineeMap(java.util.Set j2eeTypes)` Return a Map keyed by j2eeType.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### ATTR_CONTAINEE_J2EE_TYPES

    public static final java.lang.String ATTR_CONTAINEE_J2EE_TYPES

  Attribute returned by getContaineeJ2EETypes().

  See Also:
    Constant Field Values

Method Detail

### getContaineeJ2EETypes

    public java.util.Set getContaineeJ2EETypes()

  Returns:
    Set of String of all possible j2eeTypes contained within this item
  See Also:
    `Util.getNamesSet(java.util.Set)`

### getMultiContaineeMap

    public java.util.Map getMultiContaineeMap(java.util.Set j2eeTypes)

  Return a Map keyed by j2eeType. The value corresponding to each key (j2eeType) is another Map, as returned from `getContaineeMap(java.lang.String)`.

  If the passed Set is null, then all types are obtained. Pass the set returned from `getContaineeJ2EETypes()` to get all currently present containees.

  Parameters:
    `j2eeTypes` - the j2eeTypes to look for, or null for all
  Returns:
    Map (possibly empty) of j2eeType=<Map of name=AMX>

### getContaineeMap

    public java.util.Map getContaineeMap(java.lang.String j2eeType)

  Each key in the resulting Map is a String which is the value of the AMX.NAME_KEY for that `AMX`, which is the value.

  Parameters:
    `j2eeType` - the j2eeType to look for
  Returns:
    Map name=AMX

### getContainee

    public AMX getContainee(java.lang.String j2eeType)

  Obtain the singleton MBean having the specified type.

  Parameters:
    `j2eeType` -
  Returns:
    `AMX` of specified j2eeType or null if not present
  Throws:
    `java.lang.IllegalArgumentException` - if there is more than one item of this type
  See Also:
    `Util.getNamesSet(java.util.Set)`

### getContaineeSet

    public java.util.Set getContaineeSet(java.lang.String j2eeType)

  Returns:
    all containees having the specified j2eeType.
  See Also:
    `Util.getNamesSet(java.util.Set)`

### getContaineeSet

    public java.util.Set getContaineeSet()

  Same as getContaineeSet( getContaineeJ2EETypes() )

  Returns:
    all containees of any j2eeType
  See Also:
    `Util.getNamesSet(java.util.Set)`, `getContaineeSet(java.util.Set)`

### getContaineeSet

    public java.util.Set getContaineeSet(java.util.Set j2eeTypes)

  Returns:
    all containees having the specified j2eeType(s).
  See Also:
    `Util.getNamesSet(java.util.Set)`, `getMultiContaineeMap(java.util.Set)`

### getByNameContaineeSet

    public java.util.Set getByNameContaineeSet(java.util.Set j2eeTypes,
                                               java.lang.String name)

  Returns:
    all containees having one of the specified types and the specified name.
  See Also:
    `Util.getNamesSet(java.util.Set)`

### getContainee

    public AMX getContainee(java.lang.String j2eeType,
                            java.lang.String name)

  Get a singleton containee having the specified j2eeType and name.

  Parameters:
    `j2eeType` - the j2eeType of the contained
    `name` - the name of the contained (as found in "name" property)
  Returns:
    AMX or null if not found
  See Also:
    `Util.getNamesSet(java.util.Set)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.